﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace zadatak
{
    public class Fudbaler : Sportista
    {
        private int brojAsistencija;
        private int brojGolova;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
            set { brojAsistencija = value; }
        }
        
        public int BrojGolova
        {
            get { return brojGolova; }
            set { brojGolova = value; }
        }

        public Fudbaler(string regBroj, string ime, string prezime, DateTime datum, Pol pol, int brojAsis, int brojGol)
            : base(regBroj, ime, prezime, datum, pol)
        {
            this.BrojAsistencija = brojAsis;
            this.BrojGolova = brojGol;
        }

        public override int  IndexKorisnosti
        {
            get { return ((BrojGolova * 30) + (BrojAsistencija * 20)); }
        }

        public override string  ToString()
        {
 	        return base.ToString() + ", golovi = " + BrojGolova + ",asistencije = " + BrojAsistencija;
        }
    }
}
