﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IIKolok
{
    public class Kosarkas: Sportista
    {
        private int brojAsistencija;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
        }

        private int brojPoena;

        public int BrojPoena
        {
            get { return brojPoena; }
        }

        private int brojSkokova;

        public int BrojSkokova
        {
            get { return brojSkokova; }
        }

        public Kosarkas(string regBr, string ime, string prezime, DateTime DoB, Pol p, int poen, int asist, int uhvacene)
            :base(regBr,ime,prezime,DoB,p)
        {
            brojPoena = poen;
            brojAsistencija = asist;
            brojSkokova = uhvacene;
            base.IndexKorisnosti = BrojPoena + BrojSkokova + BrojAsistencija;
        }



        public override int IndexKorisnosti
        {
            get { return BrojPoena + BrojSkokova + BrojAsistencija; }
        }

        public string toString()
        {
            return base.toString() + ", poeni = " + BrojPoena + ", asistencije = " + BrojAsistencija + ",skokovi = " + BrojSkokova;
        }



    }
}
