﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

namespace IIKolok
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public Lista<Sportista> lista = null;
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnfudbal_Click(object sender, RoutedEventArgs e)
        {
            StreamReader ulaz = new StreamReader(Properties.Settings.Default.fudbaleri);
            string linija = ulaz.ReadLine();
            string[] niz;
            while (!ulaz.EndOfStream)
            {
                linija = ulaz.ReadLine();
                niz = linija.Split(',');
                DateTime dob = new DateTime((int.Parse(niz[3].Split('.')[2])),(int.Parse(niz[3].Split('.')[1])),(int.Parse(niz[3].Split('.')[0])));
                Pol p;
                if(niz[6]=="m")
                    p=Pol.musko;
                else
                    p=Pol.zensko;
                Fudbaler f = new Fudbaler(niz[0], niz[1], niz[2], dob, p, int.Parse(niz[4]), int.Parse(niz[5]));
                if (lista == null)
                    lista = new Lista<Sportista>(f);
                else
                    lista.Add((Sportista)f);
                listFud.Items.Add(f.toString());
            }
            ulaz.Close();
        }

        private void Btnkosarkas_Click(object sender, RoutedEventArgs e)
        {
            StreamReader ulaz = new StreamReader(Properties.Settings.Default.kosarkasi);
            string linija = ulaz.ReadLine();
            string[] niz;
            while (!ulaz.EndOfStream)
            {
                linija = ulaz.ReadLine();
                niz = linija.Split(',');
                DateTime dob = new DateTime((int.Parse(niz[3].Split('.')[2])), (int.Parse(niz[3].Split('.')[1])), (int.Parse(niz[3].Split('.')[0])));
                Pol p;
                if (niz[7] == "m")
                    p = Pol.musko;
                else
                    p = Pol.zensko;
                Kosarkas f = new Kosarkas(niz[0], niz[1], niz[2], dob, p, int.Parse(niz[4]), int.Parse(niz[5]), int.Parse(niz[6]));
                if (lista == null)
                    lista = new Lista<Sportista>(f);
                else
                    lista.Add((Sportista)f);
                listKos.Items.Add(f.toString());
            }
            ulaz.Close();
        }

        private void btnPrikazi_Click(object sender, RoutedEventArgs e)
        {
            if (comboSort.SelectedIndex == 0)
            {
                
                foreach (Lista<Sportista> item in lista.VratiEnumerator())
                {
                    lista.VratiSortiranuListu((x, y) => (x.IndexKorisnosti < y.IndexKorisnosti));
                    listBox3.Items.Add(item.element.toString());
                }
            }
            else if (comboSort.SelectedIndex == 1)
            {

            }
            else if (comboSort.SelectedIndex == 2)
            {

            }
        }
    }
}
