﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    public class Sportista : IUporediv<Sportista>
    {
        private string registracioniBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;

        public string RegistracioniBroj { get { return this.registracioniBroj; } }
        public string Ime { get { return this.ime; }  }
        public string Prezime { get { return this.prezime; } }
        public DateTime DatumRodjenja { get { return this.datumRodjenja; } }
        public Pol Pol { get { return this.pol; } }
        public virtual int IndexKorisnosti { get; set; }
       // public virtual int IndexKorisnosti{}

        public Sportista(string regBr,string ime,string prezime,DateTime datum,Pol p)
        {
            this.registracioniBroj = regBr;
            this.ime = ime;
            this.prezime = prezime;
            this.datumRodjenja = datum;
            this.pol = p;
        }



        public bool Uporedi(Sportista prom)
        {
            if (this.RegistracioniBroj == prom.RegistracioniBroj && this.Ime == prom.Ime && this.Prezime == prom.Prezime && this.DatumRodjenja == prom.DatumRodjenja && this.Pol == prom.Pol)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public override string ToString() 
        {
            return this.IndexKorisnosti.ToString() + ", " + this.Ime + " " + this.Prezime + " " + this.DatumRodjenja;
        } 
    }
}
