﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Dusan_Zvkovic_56_12
{
    public class Kosarkas : Sportista
    {
        private int brojAsistencija;
        private int brojPoena;
        private int brojSkokova;

        public int BrojAsistencija
        {
            get
            {
                return brojAsistencija;
            }

        }
        public int BrojPoena
        {
            get
            {
                return brojPoena;
            }
        }
        public int BrojSkokova
        {
            get
            {
                return brojSkokova;
            }
        }
        public Kosarkas(string rb, string i, string p, DateTime dr, Pol po, int brA, int brP, int brS)
            : base(rb, i, p, dr, po)
        {
            brojAsistencija = brA;
            brojPoena = brP;
            brojSkokova = brS;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return (brojSkokova + brojAsistencija + brojPoena);
            }
        }

        public override string ToString()
        {
            return base.ToString() + " poeni= " + BrojPoena + " asistencije = " + BrojAsistencija + " skokovi=" + BrojSkokova;
        }
    }
}
