﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LanaMiljkovic66_12
{
   public class Sportista : IUporediv<Sportista>
    {
        private string registracioniBroj;

        public string RegistracioniBroj
        {
            get { return registracioniBroj; }
           // set { registracioniBroj = value; }
        }
        private string ime;

        public string Ime
        {
            get { return ime; }
           // set { ime = value; }
        }
        private string prezime;

        public string Prezime
        {
            get { return prezime; }
            //set { prezime = value; }
        }
        private DateTime datumRodjenja;

        public DateTime DatumRodjenja
        {
            get { return datumRodjenja; }
            //set { datumRodjenja = value; }
        }
        private Pol pol;

        public Pol Pol
        {
            get { return pol; }
            //set { pol = value; }
        }

        public Sportista(string regbroj, string ime, string prezime, DateTime datum, Pol pol)
        {
            this.registracioniBroj = regbroj;
            this.ime = ime;
            this.prezime = prezime;
            this.datumRodjenja = datum;
            this.pol = pol;
        
        }
        public virtual int IndexKorisnosti() { return 0; }
        public bool Uporedi(Sportista promenjiva)
        {
            return promenjiva.RegistracioniBroj == promenjiva.RegistracioniBroj;
        }

        public virtual string  toString()
        {
            return RegistracioniBroj + ", " + Ime + ", " + Prezime + ", " + DatumRodjenja;
        }
    }
}
