﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FilipTubic7812
{
    public class Fudbaler : Sportista
    {
        private int brojAsistencija;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
            private set { brojAsistencija = value; }
        }
        private int brojGolova;

        public int BrojGolova
        {
            get { return brojGolova; }
            private set { brojGolova = value; }
        }

        public Fudbaler(string regBroj, string ime, string prezime,
                        DateTime datumRodj, Pol pol,
                        int brojAsistencija,int brojGolova)
            :base(regBroj,ime,prezime,datumRodj,pol)
        {
            this.brojAsistencija = brojAsistencija;
            this.brojGolova = brojGolova;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return BrojGolova * 30 + BrojAsistencija * 20;
            }
        }
        public override string ToString()
        {
            return base.ToString()+" golovi="+BrojGolova+" asistencije="+BrojAsistencija;
        }
        
    }
}
