﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    class Kosarkas : Sportista
    {
        private int brojAsistencija;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
            private set { brojAsistencija = value; }
        }
        private int brojPoena;

        public int BrojPoena
        {
            get { return brojPoena; }
            private set { brojPoena = value; }
        }
        private int brojSkokova;

        public int BrojSkokova
        {
            get { return brojSkokova; }
            private set { brojSkokova = value; }
        }

        public Kosarkas(string registraioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol, int brojAsistencija, int brojPoena, int brojSkokova) : base(registraioniBroj, ime, prezime, datumRodjenja, pol)
        {
            BrojAsistencija = brojAsistencija;
            BrojPoena = brojPoena;
            BrojSkokova = brojSkokova;
        }

        public int IndexKorisnosti { get { return BrojAsistencija + BrojPoena + BrojSkokova; }}

        public override string ToString()
        {
            return base.ToString() + " poeni = " + BrojPoena + ", asistencije = " + BrojAsistencija + ", skokovi = " + BrojSkokova;
        }
    }
}
