﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    public class Kosarkas:Sportista
    {
        private int brojAsistencija;
        private int brojPoena;
        private int brojSkokova;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
            private set { brojAsistencija = value; }
        }

        public int BrojPoena
        {
            get { return brojPoena; }
            private set { brojPoena = value; }
        }

        public int BrojSkokova
        {
            get { return brojSkokova; }
            private set { brojSkokova = value; }
        }



        public Kosarkas(string registracioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol, int brojAsistencija, int brojPoena, int brojSkokova)
            : base(registracioniBroj, ime, prezime, datumRodjenja, pol)
        {
            
            BrojAsistencija = brojAsistencija;
            BrojPoena = brojPoena;
            BrojSkokova = brojSkokova;
        }

        public override int IndexKorisnosti
        {
            get
            {
                //return base.IndexKorisnosti;
                return BrojPoena + BrojAsistencija + BrojSkokova;
            }
            set
            {
                //base.IndexKorisnosti = value;
            }
        }

        public override string ToString()
        {
            return base.ToString()+ ",poeni="+BrojPoena+",asistencije="+BrojAsistencija+",skokovi="+BrojSkokova;
        }

        public bool Uporedi(Kosarkas promenljiva)
        {
            if (base.RegistracioniBroj == promenljiva.RegistracioniBroj) return true;

            return false;
        }

    }
}
