﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    class Kosarkas:Sportista
    {
        private int brojAsistencija;
        private int brojPoena;
        private int brojSkokova;

        public int BrojAsistencija { get { return brojAsistencija; } }
        public int BrojPoena { get { return brojPoena; }  }
        public int BrojSkokova { get { return brojSkokova; }  }

        public Kosarkas(string registracioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol, int a, int p, int s) : base(registracioniBroj, ime, prezime, datumRodjenja, pol)
        {
            this.brojAsistencija = a;
            this.brojPoena = p;
            this.brojSkokova = s;
        }

        public override int IndexKorisnosti { get { return brojSkokova + brojPoena + brojAsistencija; } }

        public override string toString()
        {
            return base.toString() + " poeni = " + this.brojPoena + " asistencije = " + this.brojAsistencija + " brojSkokova = " + this.brojSkokova;
        }
    }
}
