﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

namespace Kolokvijum
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        Lista<Sportista> lista=null;
        public MainWindow()
        {
            InitializeComponent();
        }



        private void btnKosarka_Click(object sender, RoutedEventArgs e)
        {
            StreamReader s = new StreamReader("kosarkasi.csv");
            Pol pol;
            s.ReadLine();
            Kosarkas k;
            //new DateTime(p[3].Split('.')[2], p[3].Split('.')[1], p[3].Split('.')[0]), pol, int.Parse(p[4])
            
            string[] p=s.ReadLine().Split(',');
            if (p[4]=="m") pol=Pol.musko; else pol=Pol.zensko;

            DateTime d = new DateTime(int.Parse(p[3].Split('.')[2]), int.Parse(p[3].Split('.')[1]), int.Parse(p[3].Split('.')[0]));

            if (lista == null)
                lista = new Lista<Sportista>(k = new Kosarkas(p[0], p[1], p[2], d, pol, int.Parse(p[4]), int.Parse(p[5]), int.Parse(p[6])));
            else
                lista.Add(k = new Kosarkas(p[0], p[1], p[2], d, pol, int.Parse(p[4]), int.Parse(p[5]), int.Parse(p[6])));
            listBox1.Items.Add(k.toString());
            while (!s.EndOfStream)
            {
                p=s.ReadLine().Split(',');
                d = new DateTime(int.Parse(p[3].Split('.')[2]), int.Parse(p[3].Split('.')[1]), int.Parse(p[3].Split('.')[0]));
                if (p[4] == "m") pol = Pol.musko; else pol = Pol.zensko;
                lista.Add(k = new Kosarkas(p[0], p[1], p[2], d, pol, int.Parse(p[4]), int.Parse(p[5]), int.Parse(p[6])));
                listBox1.Items.Add(k.toString());
            }
        }

        private void btnFudbal_Click(object sender, RoutedEventArgs e)
        {
            StreamReader s = new StreamReader("fudbaleri.csv");
            Pol pol;
            s.ReadLine();
            Fudbaler k;
            //new DateTime(p[3].Split('.')[2], p[3].Split('.')[1], p[3].Split('.')[0]), pol, int.Parse(p[4])

            string[] p = s.ReadLine().Split(',');
            DateTime d = new DateTime(int.Parse(p[3].Split('.')[2]), int.Parse(p[3].Split('.')[1]), int.Parse(p[3].Split('.')[0]));
            if (p[4] == "m") pol = Pol.musko; else pol = Pol.zensko;
            if (lista == null)
                lista = new Lista<Sportista>(k = new Fudbaler(p[0], p[1], p[2], d, pol, int.Parse(p[4]), int.Parse(p[5])));
            else
                lista.Add(k = new Fudbaler(p[0], p[1], p[2], d, pol, int.Parse(p[4]), int.Parse(p[5])));
            listBox2.Items.Add(k.toString());
            while (!s.EndOfStream)
            {
                p = s.ReadLine().Split(',');
                d = new DateTime(int.Parse(p[3].Split('.')[2]), int.Parse(p[3].Split('.')[1]), int.Parse(p[3].Split('.')[0]));
                if (p[4] == "m") pol = Pol.musko; else pol = Pol.zensko;
                lista.Add(k = new Fudbaler(p[0], p[1], p[2], d, pol, int.Parse(p[4]), int.Parse(p[5])));
                listBox2.Items.Add(k.toString());
            }
        }

        private void btnPrikazi_Click(object sender, RoutedEventArgs e)
        {
            /*if (comboBox1.SelectedIndex == 0) foreach (Sportista p in listaK) listBox3.Items.Add(p.toString());
            if (comboBox1.SelectedIndex==1)
            if ..*/
        }

        private void btnPrikaziIndex_Click(object sender, RoutedEventArgs e)
        {
            int p = int.Parse(textBox1.Text);
            label1.Content = lista[p].toString();
        }
    }
}
