﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    public enum Pol{musko,zensko};

    public class Sportista:IUporediv<Sportista>
    {
        private string registracioniBroj{get; set;}
        private string ime{get; set;}
        private string prezime{get; set;}
        private DateTime datumRodjenja{get; set;}
        private Pol pol{get; set;}

        public string RegistracioniBroj
        {
            get
            {
                return registracioniBroj;
            }
        }

        public string Prezime
        {
            get
            {
                return prezime;
            }

        }

        public string Ime
        {
            get
            {
                return ime;
            }

        }

        public DateTime DatumRodjenja
        {
            get
            {
                return datumRodjenja;
            }
        }

        public Pol PolSportiste
        {
            get
            {
                return pol;
            }
        }

        public Sportista(string r,string ime,string prezime,DateTime t,Pol pol)
        {
            registracioniBroj=r;
            this.ime=ime;
            this.prezime=prezime;
            this.datumRodjenja=t;
            this.pol=pol;
        }

        

        public bool Uporedi(Sportista x)
        {
            if (this.RegistracioniBroj == x.RegistracioniBroj) return true;
            else return false;
        }

        public override string ToString()
        {
            return this.Ime + " " + this.Prezime + " " + datumRodjenja;
        }
    }
}
