﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DrugiKol
{
    public class Kosarkas : Sportista,IUporediv<Kosarkas>
    {
        private int brojAsistencija;
        private int brojPoena;
         private int brojSkokova;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
            
        }
        

        public int BrojPoena
        {
            get { return brojPoena; }
           
        }
       

        public int BrojSkokova
        {
            get { return brojSkokova; }
           
        }

        public Kosarkas(int brAsistencija, int brPoena, int brSkokova, 
            string registracioni,string ime,string prezime,DateTime datum,Pol pol ) 
            :base(registracioni,ime,prezime,datum, pol)
        {
            brojAsistencija = brAsistencija;
            brojPoena = brPoena;
            brojSkokova = brSkokova;
        }
        public override int IndexKorisnosti { get { return BrojAsistencija + BrojSkokova + BrojPoena; } }

        public override string ToString()
        {
           string s = base.ToString();
           s += "poeni = " + BrojPoena + " skokovi = " + brojSkokova + " asistencije = " + brojAsistencija;
           return s;
        }


        public bool Uporedi(Kosarkas element)
        {
            if (element.RegistracioniBroj == this.RegistracioniBroj)
                return true;
            return false;
        }
    }
}
