﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DrugiKolokvijum
{
    public class Kosarkas:Sportista
    {
        private int brojAsistencija;
        private int brojPoena;
        private int brojSkokova;

        public int BrojAsistencija 
        { 
            get 
            {
                return brojAsistencija;
            } 
        }

        public int BrojPoena
        {
            get
            {
                return brojPoena;
            }
        }

        public int BrojSkokova
        {
            get
            {
                return brojSkokova;
            }
        }

        public Kosarkas(string rb,string im,string pr,DateTime dr,Pol p,int ba, int bp, int bs)
            : base(rb,im,pr,dr,p)
        {
            brojAsistencija = ba;
            brojPoena = bp;
            brojSkokova = bs;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return BrojAsistencija + BrojSkokova + BrojPoena;
            }
        }

        public override string ToString()
        {
            return base.ToString()+", poeni= "+BrojPoena+", asistencije= "+BrojAsistencija+", skokovi= "+BrojSkokova;
        }

    }
}
