﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DrugiKolokvijum
{
    public enum Pol
    {
        musko,
        zensko
    }
    public class Sportista:IUporediv<Sportista>
    {
        private string registacioniBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;

        public string RegistracioniBroj
        {
            get
            {
                return registacioniBroj;
            }
        }

        public string Ime
        {
            get
            {
                return ime;
            }
        }

        public string Prezime
        {
            get
            {
                return prezime;
            }
        }

        public DateTime DatumRodjenja
        {
            get
            {
                return datumRodjenja;
            }
        }

        public Pol PolSportiste
        {
            get
            {
                return pol;
            }
        }

        public Sportista(string rb,string im,string pr,DateTime dr,Pol p)
        {
            registacioniBroj = rb;
            ime = im;
            prezime = pr;
            datumRodjenja = dr;
            pol = p;
        }

        private int indeks;

        public virtual int IndexKorisnosti
        {
            get{
                return indeks;
            }
        }
     
        public bool Uporedi(Sportista element)
        {
            if (this.registacioniBroj == element.registacioniBroj)
                return true;
            return false;
        }

        public override string ToString()
        {
            return IndexKorisnosti + ", " + Ime + ", " + Prezime + ", " + DatumRodjenja;
        }
    }
}
