﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    class Lista<T>:IUporediv<T>
    {
        public Lista<T> Glava;
        public Lista<T> Sledeci;
        public T value;


        public Lista(T t)
        {
            this.Glava = this;
            this.Sledeci = null;
            this.value = t;
        }

        public void Add(T t)
        {
            if (!postoji(t))
            {
                Lista<T> newElem = new Lista<T>(t);
                newElem.Glava = this.Glava;

                Lista<T> trenutni = this.Glava;
                while (trenutni.Sledeci != null)
                {
                    trenutni = trenutni.Sledeci;
                }

                trenutni.Sledeci = newElem;

                Console.WriteLine("Uspesno dodat" + "_" + newElem.toString());
       
            }
            else
                Console.WriteLine("Vrednost "+ t.ToString() +" vec postoji u listi");
          
        }



        bool IUporediv<T>.Uporedi(T t)
        {
            if (this.value.Equals(t))
                return true;
            else
                return false;       
        }

        bool postoji(T t)
        {
            Lista<T> trenutni = this.Glava;
            while (trenutni != null)
            {
                //if (Uporedi(trenutni.value))
                if (trenutni.value.Equals(t))
                    return true;
                trenutni = trenutni.Sledeci;
            }

            return false;
        }

        public string toString()
        {
            return this.value.ToString();
        }


        IEnumerable<T> prolaz()
        {
            throw new NotImplementedException();
        }


    }
}
