﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

namespace kolokvijum
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Lista<Fudbaler> listaFudbalera;
        Lista<Kosarkas> listaKosarkasa;
        public MainWindow()
        {
            InitializeComponent();
            listaFudbalera = new Lista<Fudbaler>();
            listaKosarkasa = new Lista<Kosarkas>();
           comboBox1.Items.Add("Sortiraj po indeksu");
           comboBox1.Items.Add("kosarkasice i kosarkasri ");
           comboBox1.Items.Add("fudbaleri i fudbalerke");
           
            
        }

        private void buttonUcitajKosarkase_Click(object sender, RoutedEventArgs e)
        {
            StreamReader sr = new StreamReader(kolokvijum.Properties.Settings.Default.kosarkasi);
            listBoxKosarkasi.Items.Clear();
            sr.ReadLine(); //zato sto je prvi red info o promnn
            while (!sr.EndOfStream)
            {
                Kosarkas temp;
                string procitano = sr.ReadLine();
                string[] delovi = procitano.Split(',');
                //string rbroj, string ime, string prezime, DateTime datumrodj, Pol pol, int brAsis, int brojPoen, int brojSkok
               // Registracioni broj,Ime,Prezime,Datum rodjenja,4 Poeni,5Asistencije,6Uhvacene lopte,7Pol
              //  string[] datum = delovi[3].Split('.');
               // DateTime datum = Convert.ToDateTime(delovi[3].Split('.'));
               //treba prebaciti u vreme
                if(delovi[7]=="m")
                    temp = new Kosarkas(delovi[0], delovi[1], delovi[2], new DateTime(), Pol.musko, Convert.ToInt32(delovi[5]), Convert.ToInt32(delovi[4]), Convert.ToInt32(delovi[6]));
                else temp = new Kosarkas(delovi[0], delovi[1], delovi[2], new DateTime(), Pol.zenko, Convert.ToInt32(delovi[5]), Convert.ToInt32(delovi[4]), Convert.ToInt32(delovi[6]));

                
                //listaKosarkasa.Add(temp);
                listBoxKosarkasi.Items.Add(temp.ToString());
               
            }
            sr.Close();
        }

        private void buttonFudableri_Click(object sender, RoutedEventArgs e)
        {
            StreamReader sr = new StreamReader(kolokvijum.Properties.Settings.Default.fudblaeri);
            listBoxFudbaleri.Items.Clear();
            sr.ReadLine(); //zato sto je prvi red info o promnn
            while (!sr.EndOfStream)
            {
                Fudbaler temp;
                string procitano = sr.ReadLine();
                string[] delovi = procitano.Split(',');
                string[] datum = delovi[3].Split('.');
               // DateTime vreme = Convert.ToDateTime(datum);
                if (delovi[4] == "m")
                    temp = new Fudbaler(delovi[0], delovi[1], delovi[2],new DateTime(), Pol.musko, Convert.ToInt32(delovi[4]), Convert.ToInt32(delovi[5]));
                else temp = new Fudbaler(delovi[0], delovi[1], delovi[2], new DateTime(), Pol.zenko, Convert.ToInt32(delovi[4]), Convert.ToInt32(delovi[5]));
                //listaFudbalera.Add(temp);
                listBoxFudbaleri.Items.Add(temp.ToString());

            }

            sr.Close();
        }

        private void buttonPrikaziInfo_Click(object sender, RoutedEventArgs e)
        {
            int broj = int.Parse(textBoxIndeksSportiste.Text);

        }

      
    }
}
