﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    public class Fudbaler:Sportista
    {
        private int brojAsistencija;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
           private set { brojAsistencija = value; }
        }
        private int brojGolova;

        public int BrojGolova
        {
            get { return brojGolova; }
            private set { brojGolova = value; }
        }
        public Fudbaler(string rb, string im, string pr, DateTime dt, Pol p, int bg, int ba)
            : base(rb, im, pr, dt, p)
        {
            BrojAsistencija = ba;
            BrojGolova = bg;
        }
        public override int IndexKorisnosti
        {
            get
            {
                return BrojGolova*30+BrojAsistencija*20;
            }

        }
        public override string ToString()
        {
            return IndexKorisnosti + ", " + Ime + " " + Prezime + " " + DatumRodjenja + ", golovi = " + BrojGolova + ", asistencije = " + BrojAsistencija;
        }


    }
}
