﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    public class Fudbaler : Sportista
    {
        private int brojAsistencija;
        private int brojGolova;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
        }

        public int BrojGolova
        {
            get { return brojGolova; }
        }

        public Fudbaler(string regBr, string ime, string prezime, DateTime datum, Pol p, int brAss, int brGol)
            : base(regBr, ime, prezime, datum, p)
        {
            this.brojAsistencija = brAss;
            this.brojGolova = brGol;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return BrojGolova * 30 + BrojAsistencija * 20;
            }
        }

        public override string ToString()
        {
            return base.ToString() + ", golovi = " + BrojGolova + ", asistencije = " + BrojAsistencija;
        }
    }
}
