﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    public class Kosarkas : Sportista
    {
        private int brojAsistencija;
        private int brojPoena;
        private int brojSkokova;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
        }

        public int BrojPoena
        {
            get { return brojPoena; }
        }

        public int BrojSkokova
        {
            get { return brojSkokova; }
        }

        public Kosarkas(string regBr, string ime, string prezime, DateTime datum, Pol p, int brAss, int brP, int brS)
            : base(regBr, ime, prezime, datum, p)
        {
            this.brojAsistencija = brAss;
            this.brojPoena = brP;
            this.brojSkokova = brS;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return BrojPoena + BrojAsistencija + BrojSkokova;
            }
        }

        public override string ToString()
        {
            return base.ToString() + ", poeni = " + BrojPoena + ", asistencije = " + BrojAsistencija + ", skokovi = " + BrojSkokova;
        }
    }
}
