﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

namespace Dusan_Zvkovic_56_12
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Lista<Sportista> lista;
        public MainWindow()
        {
            InitializeComponent();
        }



        private void btn_kosarkasi_Click(object sender, RoutedEventArgs e)
        {

            StreamReader st = new StreamReader("kosarkasi.csv");
            string l = st.ReadLine();
            l = st.ReadLine();
            Pol p;
            Kosarkas k;
            if (lista == null)
            {
                if (l.Split(',')[7] == "m")
                    p = Pol.musko;
                else
                    p = Pol.zensko;
                k = new Kosarkas(l.Split(',')[0], l.Split(',')[1], l.Split(',')[2], new DateTime(Int16.Parse(l.Split(',')[3].Split('.')[2]), Int16.Parse(l.Split(',')[3].Split('.')[1]), Int16.Parse(l.Split(',')[3].Split('.')[0])), p, Int16.Parse(l.Split(',')[5]), Int16.Parse(l.Split(',')[4]), Int16.Parse(l.Split(',')[6]));
                listBox1.Items.Add(k);
                lista = new Lista<Sportista>(k);
                l = st.ReadLine();
            }
            
            while (l != null)
            {
                if(l.Split(',')[7] == "m")
                     p = Pol.musko;
                else
                     p = Pol.zensko;

                k = new Kosarkas(l.Split(',')[0], l.Split(',')[1], l.Split(',')[2], new DateTime(Int16.Parse(l.Split(',')[3].Split('.')[2]), Int16.Parse(l.Split(',')[3].Split('.')[1]), Int16.Parse(l.Split(',')[3].Split('.')[0])), p, Int16.Parse(l.Split(',')[5]), Int16.Parse(l.Split(',')[4]), Int16.Parse(l.Split(',')[6]));
                listBox1.Items.Add(k);
                lista.Add(k);
                

                l = st.ReadLine();
            }
            comboBox1.Items.Add("Sortirana lista sportista prema indeksu korisnosti");
            comboBox1.Items.Add("Kosarkasice i fudbalerke");



        }

        private void btn_fudbaleri_Click(object sender, RoutedEventArgs e)
        {
            StreamReader st = new StreamReader("fudbaleri.csv");
            string l = st.ReadLine();
            l = st.ReadLine();
            Pol p;
            Fudbaler k;
            if (lista == null)
            {
                if (l.Split(',')[6] == "m")
                    p = Pol.musko;
                else
                    p = Pol.zensko;
                k = new Fudbaler(l.Split(',')[0], l.Split(',')[1], l.Split(',')[2], new DateTime(Int16.Parse(l.Split(',')[3].Split('.')[2]), Int16.Parse(l.Split(',')[3].Split('.')[1]), Int16.Parse(l.Split(',')[3].Split('.')[0])), p, Int16.Parse(l.Split(',')[5]), Int16.Parse(l.Split(',')[4]));
                listBox2.Items.Add(k);
                lista = new Lista<Sportista>(k);
                l = st.ReadLine();
            }

            while (l != null)
            {
                if (l.Split(',')[6] == "m")
                    p = Pol.musko;
                else
                    p = Pol.zensko;

                k = new Fudbaler(l.Split(',')[0], l.Split(',')[1], l.Split(',')[2], new DateTime(Int16.Parse(l.Split(',')[3].Split('.')[2]), Int16.Parse(l.Split(',')[3].Split('.')[1]), Int16.Parse(l.Split(',')[3].Split('.')[0])), p, Int16.Parse(l.Split(',')[5]), Int16.Parse(l.Split(',')[4]));
                listBox2.Items.Add(k);
                lista.Add(k);

                l = st.ReadLine();
            }
        }

        private void btn_prikazi2_Click(object sender, RoutedEventArgs e)
        {
            int i = Int16.Parse(textBox1.Text);
            label2.Content = lista[i];
        }

        private void btn_prikazi1_Click(object sender, RoutedEventArgs e)
        {
            int i = comboBox1.SelectedIndex;
            if (i == 1)
            {
                IEnumerable<Sportista> ie;
                UslovSelekcije<Sportista> uslov = delegate(Sportista x) {
                
                    Kosarkas k;
                    Fudbaler f;
                    if(x is Kosarkas)
                    {
                         k = (Kosarkas)x;
                        if(k.PolSportiste == Pol.zensko)
                            return true;
                    }
                    else
                    {
                        f = (Fudbaler)x;
                        if(f.PolSportiste == Pol.zensko)
                            return true;                       
                    } 
                    return false;
                };
                ie = lista.VratiEnumeratorPremaSelekciji(uslov);
                foreach (Sportista item in ie)
                {
                    listBox3.Items.Add(item);
                }
            }
        }
    }
}
