﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AlekasandarDjordjevic6309
{

    public class Sportista:IUporediv<Sportista>
    {

        string registracioniBroj;
        string ime;
        string prezime;
        DateTime datumRodjenja;
        Pol pol;

        public string RegistracioniBroj
        {
            get
            {
                return registracioniBroj;
            }
            private set
            {
                this.registracioniBroj = value;
            }
        }

        public string Ime
        {
            get
            {
                return ime;
            }
            private set
            {
                this.ime = value;
            }
        }

        public string Prezime
        {
            get
            {
                return prezime;
            }
            private set
            {
                this.prezime = value;
            }
        }

        public DateTime DatumRodjenja
        {
            get
            {
                return datumRodjenja;
            }
            private set
            {
                this.datumRodjenja = value;
            }
        }

        public Pol PolSportiste { get
            {
                return pol;
            }
            private set
            {
                this.pol = value;
            } 
        }

        public virtual int IndexKorisnosti { get; set; }

        public Sportista(string registracioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol) {
            this.RegistracioniBroj = registracioniBroj;
            this.Ime = ime;
            this.Prezime = prezime;
            this.DatumRodjenja = datumRodjenja;
            this.PolSportiste = pol;
        }

        public bool Uporedi(Sportista item)
        {
            if(this.RegistracioniBroj == item.RegistracioniBroj){
                return true;        
            }
            return false;
        }

        public override string ToString()
        {
            return (this.IndexKorisnosti + ", " + this.Ime + " " + this.Prezime + " " + this.DatumRodjenja); 
        }
    }
}
