﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FilipTubic7812
{
    public class Kosarkas : Sportista
    {
        private int brojAsistencija;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
            private set { brojAsistencija = value; }
        }
        private int brojPoena;

        public int BrojPoena
        {
            get { return brojPoena; }
            private set { brojPoena = value; }
        }
        private int brojSkokova;

        public int BrojSkokova
        {
            get { return brojSkokova; }
            private set { brojSkokova = value; }
        }

        public Kosarkas(string regBroj, string ime, string prezime,
                        DateTime datumRodj, Pol pol,
                    int brojAsistencija, int brojPoena, int brojSkokova
                        )
            : base(regBroj, ime, prezime, datumRodj, pol)
        {
            this.brojAsistencija = brojAsistencija;
            this.brojPoena = brojPoena;
            this.brojSkokova = brojSkokova;
        }

        public override int IndexKorisnosti
        {
            get
            {

                return BrojPoena + BrojAsistencija + BrojSkokova;
            }
        }
        public override string ToString()
        {
            return base.ToString() + " poeni=" + BrojPoena + " asistencije=" + BrojAsistencija + " skokovi=" + BrojSkokova;
        }
        
    }
}
