﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace Kolokvijum
{
    public enum Pol
    {
        musko,
        zensko
    }

    class Sportista:IUporediv<Sportista>

    {
        private String registracioniBroj;
        private String ime;
        private String prezime;
        private DateTime datumRodjenja;
        private Pol pol;
        public String RegistracioniBroj { get; private set; }
        public String Ime { get; private set; }
        public String Prezime { get; private set; }
        public DateTime DatumRodjenja { get; private set; }
        public Pol PolSportiste { get; private set; }

        public Sportista(String reg, String ime, String prezime, DateTime datumRodjenja, Pol pol)
        {
            this.registracioniBroj = reg;
            this.ime = ime;
            this.prezime = prezime;
            this.datumRodjenja = datumRodjenja;
            this.pol = pol;
            this.RegistracioniBroj = reg;
            this.Ime = ime;
            this.Prezime = prezime;
            this.DatumRodjenja = datumRodjenja;
            this.PolSportiste = pol;
        }

        public Sportista()
        {
            
        }

        public virtual int IndexKorisnosti { get; set; }
        public bool Uporedi(Sportista promenljiva)
        {
            if(promenljiva.registracioniBroj==promenljiva.registracioniBroj)
                return true;
            return false;
        }

        public override string  ToString()
        {
 	        return ""+IndexKorisnosti+","+ime+","+prezime+","+datumRodjenja;
        }
    }
}
