﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    class Fudbaler : Sportista
    {
        private int brojAsistencija;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
            private set { brojAsistencija = value; }
        }
        private int brojGolova;

        public int BrojGolova
        {
            get { return brojGolova; }
            private set { brojGolova = value; }
        }

        public Fudbaler(string registraioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol, int brojAsistencija, int brojGolova)
            : base(registraioniBroj, ime, prezime, datumRodjenja, pol)
        {
            BrojAsistencija = brojAsistencija;
            BrojGolova = brojGolova;
        }

        public int IndexKorisnosti { get { return BrojGolova * 30 + BrojAsistencija * 20; } }

        public override string ToString()
        {
            return base.ToString() + " golovi = " + BrojGolova + " asistencije = " + BrojAsistencija;
        }
    }
}
