﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    public enum Pol
    {
        musko,zensko
    }

    public class Sportista:IUporediv<Sportista>
    {
        private string registracioniBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;

        public string RegistracioniBroj { get { return this.registracioniBroj; } }
        public string Ime { get { return this.ime; } }
        public string Prezime { get { return this.prezime; } }
        public DateTime DatumRodjenja { get { return this.datumRodjenja; } }
        public Pol PolSportiste { get { return this.pol; } }

        public virtual int IndexKorisnosti { get; set; }

        public Sportista(string regB,string ime,string prezime,DateTime datum,Pol pol) 
        {
            this.registracioniBroj = regB;
            this.ime = ime;
            this.prezime = prezime;
            this.datumRodjenja = datum;
            this.pol = pol;
        }

        public bool uporedi(IUporediv<Sportista> t)
        {
            Sportista s = t as Sportista;
            if (s!=null)
        	{
		        if (this.registracioniBroj == s.RegistracioniBroj)
                {
                    return true;
                }
	        }
            return false;
        }

        public String toString()
        {
            return String.Format("{0} {1} {2} {3}",this.IndexKorisnosti,this.Ime,this.Prezime,this.DatumRodjenja);
        }
    }
}
