﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    public class Fudbaler:Sportista
    {
        private int brojAsistencija;
        private int brojGolova;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
            private set { brojAsistencija = value; }
        }

        public int BrojGolova
        {
            get { return brojGolova; }
            private set { brojGolova = value; }
        }

        public Fudbaler(string registracioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol,int brojAsistencija,int brojGolova):base(registracioniBroj, ime, prezime, datumRodjenja, pol)
        {
            BrojAsistencija = brojAsistencija;
            BrojGolova = brojGolova;
        }

        public override int IndexKorisnosti
        {
            get
            {
                //return base.IndexKorisnosti;
                return BrojGolova * 30 + BrojAsistencija * 20;
            }
            set
            {
                //base.IndexKorisnosti = value;
            }
        }

        public override string ToString()
        {
            return base.ToString() + ",golovi=" + BrojGolova + ",asistencije=" + BrojAsistencija;
        }

        public bool Uporedi(Fudbaler promenljiva)
        {
            if (base.RegistracioniBroj == promenljiva.RegistracioniBroj) return true;

            return false;
        }
    }
}
