﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DrugiKol
{
    public class Fudbaler : Sportista,IUporediv<Fudbaler>
    {
        private int brojAsistencija;
        private int brojGolova;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
            
        }
        

        public int BrojGolova
        {
            get { return brojGolova; }
            
        }

        public Fudbaler(string registracioni, string ime, string prezime, DateTime datum, Pol pol,
            int brAsistencija, int brGolova)
            : base(registracioni, ime, prezime, datum, pol)
        {
            this.brojAsistencija = brAsistencija;
            this.brojGolova = brGolova;
        }
        public override int IndexKorisnosti
        {
            get
            {
                return (BrojAsistencija * 20 + BrojGolova * 30);
            }
        }
        public override string ToString()
        {
            string s = base.ToString();
            s += " golovi = " + BrojGolova + " asistencije = " + BrojAsistencija;
            return s;
        }


        public bool Uporedi(Fudbaler element)
        {
            if (element.RegistracioniBroj == this.RegistracioniBroj)
                return true;
            return false;
        }
    }
}
