﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DrugiKolokvijum
{
    public class Fudbaler:Sportista
    {
        private int brojAsistencija;
        private int brojGolova;

        public int BrojAsistencija
        {
            get
            {
                return brojAsistencija;
            }
        }

        public int BrojGolova
        {
            get
            {
                return brojGolova;
            }
        }

        public Fudbaler(string rb,string im,string pr,DateTime dr,Pol p,int ba, int bg)
            : base(rb,im,pr,dr,p)
        {
            brojAsistencija = ba;
            brojGolova = bg;
        }


        public override int IndexKorisnosti
        {
            get
            {
                return BrojGolova * 30 + BrojAsistencija * 20;
            }
        }

        public override string ToString()
        {
            return base.ToString() + ", golovi= " + BrojGolova + ", asistencije= " + BrojAsistencija;
        }

    }
}
