﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    public enum Pol
    { 
    muski, zenski
    }
    public class Sportista:IUporediv<Sportista>
    {
        private string registracioniBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;

        public string RegistracioniBroj { get; private set; }
        public string Ime { get; private set; }
        public string Prezime { get; private set; }
        public DateTime DatumRodjenja { get; private set; }
        public Pol PolSportiste { get; private set; }

        
        public Sportista(string rb,string im,string pr,DateTime dt,Pol p)
        {
            RegistracioniBroj=rb;
            Ime=im;
            Prezime=pr;
            DatumRodjenja=dt;
            PolSportiste = p;
        }

        public virtual int IndexKorisnosti { get; set; }
        
        public bool  Uporedi(Sportista other)
        {
            if (RegistracioniBroj == other.RegistracioniBroj) return true;
            return false;
        }
        public override string ToString()
        {
            return this.IndexKorisnosti + ", " + this.Ime + " " + this.Prezime + " " + this.DatumRodjenja; 
        }

       
    }
}
