﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace kolokvijum
{
   public class Fudbaler:Sportista
    {
       private int brojAsitencija;
       private int brojGolova;

       public int BrojAsistencija { get { return brojAsitencija; } }
       public int BrojGolova { get { return brojGolova; } }

       public Fudbaler(string regBr,string ime,string prezime,DateTime date,Pol pol, int brojGOl,int brojAsis) : base(regBr,ime,prezime,date,pol) {
           this.brojAsitencija = brojAsis;
           this.brojGolova = brojGOl;
           
       }

       public override int IndexKorsnosti
       {
           get
           {
               return brojGolova * 30 + brojAsitencija * 20;
           }
           set
           {
               IndexKorsnosti = brojGolova*30+brojAsitencija*20;
           }
       }

       public string toString() {
           return base.toString() + " golovi=" + brojGolova + " asistencije = " + brojAsitencija;
       }

    }
}
