﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace kolokvijum
{
   public class Sportista : IUporediv<Sportista>
    {
        private string registracionBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;

        public string RegistracionBroj { get { return registracionBroj; } }
        public string Ime { get { return ime; } }
        public string Prezime { get { return prezime; } }
        public DateTime DatumRodjenja { get { return datumRodjenja; } }
        public Pol PolSportiste { get { return pol; } }

        public Sportista(string regBR,string ime,string prezime,DateTime datumR,Pol pol ) {

            this.registracionBroj = regBR;
            this.ime = ime;
            this.prezime = prezime;
            this.datumRodjenja = datumR;
            this.pol = pol;
        
        }

        public virtual int IndexKorsnosti { get {return IndexKorsnosti;} set{ IndexKorsnosti=value;} }


        public bool Uporedi(Sportista x)
        {
            if (this.registracionBroj == x.registracionBroj)
                return true;
            return false;
        }

        public string toString(){
         return ""+IndexKorsnosti+" "+ime+" "+prezime;
        }
    }
}
